curl --request PUT \
--url https://external.pleo.io/v1/installations/completions \
--header 'Authorization: Bearer <token>'import requests
url = "https://external.pleo.io/v1/installations/completions"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external.pleo.io/v1/installations/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"applicationId": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2021-01-01T00:00:00Z",
"id": "123e4567-e89b-12d3-a456-426614174000",
"metadata": {
"key": "value"
},
"resource": "urn:pleo:company:123e4567-e89b-12d3-a456-426614174000",
"status": "ACTIVATED",
"updatedAt": "2021-01-01T00:00:00Z",
"errorCode": "NOT_ENTITLED"
}Complete the installation of a client
Deprecated: Please use /installations/me:activate instead. Marks the installation as complete
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Response
Installation completed.
The unique identifier of the application this installation is for.
"123e4567-e89b-12d3-a456-426614174000"
The date and time when the installation was created.
"2021-01-01T00:00:00Z"
The unique identifier of the installation.
"123e4567-e89b-12d3-a456-426614174000"
Additional information about the installation.
Show child attributes
Show child attributes
{ "key": "value" }
The resource that the installation is for.
"urn:pleo:company:123e4567-e89b-12d3-a456-426614174000"
This can be one of InstallationStatus values
"ACTIVATED"
The date and time when the installation was last updated.
"2021-01-01T00:00:00Z"
Explains the error that inactivated the installation. This appear if the installation status is inactive.
"NOT_ENTITLED"
Was this page helpful?